ioZen Docs
DELETE
/webhooks/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Pass your ioZen API key as a Bearer token in the Authorization header.

In: header

Path Parameters

id*string

Webhook endpoint ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://app.iozen.ai/api/v1/webhooks/cm7abc12x0001yz9k8mno3pqr"
{
  "success": true,
  "data": {
    "deleted": true
  }
}
{
  "success": false,
  "error": {
    "code": "validation_failed",
    "message": "Validation failed",
    "details": {}
  }
}
{
  "success": false,
  "error": {
    "code": "authentication_required",
    "message": "Missing or invalid API key",
    "details": {}
  }
}
{
  "success": false,
  "error": {
    "code": "insufficient_scopes",
    "message": "API key lacks required scopes for this endpoint",
    "details": {}
  }
}
{
  "success": false,
  "error": {
    "code": "resource_not_found",
    "message": "Resource not found",
    "details": {}
  }
}
{
  "success": false,
  "error": {
    "code": "rate_limit_exceeded",
    "message": "Rate limit exceeded",
    "details": {}
  }
}
{
  "success": false,
  "error": {
    "code": "internal_error",
    "message": "An internal error occurred",
    "details": {}
  }
}